<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <th:block th:include="~{fragments/head}"></th:block>
    <title>SafetyCar</title>
    <script src='https://www.google.com/recaptcha/api.js'></script>
</head>


<body>

<header id="header" class="fixed-top">
    <div class="container d-flex align-items-center">

        <h1 class="logo mr-auto"><a th:ref="/" href="/"><img src="/assets/img/logo.png" alt="safety-car-logo"><span>Safety</span>Car</a>
        </h1>

        <nav class="nav-menu d-none d-lg-block">
            <ul>
                <li><a th:ref="/" href="/">Home</a></li>
                <li><a th:href="@{/about-us}" href="/about-us">About Us</a></li>
                <li class="active"><a th:href="@{/offer}" href="/offer">Simulate Offer</a></li>
                <li><a th:href="@{/policy}" href="/policy">Request Policy</a></li>
                <li sec:authorize="isAuthenticated()"
                    th:if="${#authorization.expression('hasRole(''ADMIN'')')}"><a th:href="@{/requests}">Requests</a>
                </li>
                <li><a th:href="@{/contact}" href="contact.html">Contact</a></li>
                <li sec:authorize="!isAuthenticated()">
                    <a th:href="@{/login}" href="/login">Log in</a>
                </li>
                <li sec:authorize="!isAuthenticated()">
                    <a th:href="@{/register}" href="/register">Register</a>
                </li>
                <li class="drop-down"><a href="" sec:authorize="isAuthenticated()">My Profile</a>
                    <ul>
                        <li><a sec:authentication="name">My Profile</a></li>
                        <li><a th:href="@{/my-requests}" href="/my-requests">My Requests</a></li>
                        <li><a th:href="@{/logout}" href="/logout"> Log out</a></li>
                    </ul>
                </li>

            </ul>
        </nav>
        <!-- .nav-menu -->

        <!--        <div class="header-social-links">-->
        <!--            <a href="#" class="twitter"><i class="icofont-twitter"></i></a>-->
        <!--            <a href="#" class="facebook"><i class="icofont-facebook"></i></a>-->
        <!--            <a href="#" class="instagram"><i class="icofont-instagram"></i></a>-->
        <!--            <a href="#" class="linkedin"><i class="icofont-linkedin"></i></a>-->
        <!--        </div>-->

    </div>
</header>
<!-- End Header -->


<main id="main">

    <!-- ======= Breadcrumbs ======= -->
    <section id="breadcrumbs" class="breadcrumbs">
        <div class="container">

            <div class="d-flex justify-content-between align-items-center">
                <h2>Offer Simulation</h2>
                <ol>
                    <li><a href="/">Home</a></li>
                    <li>Offer Simulation</li>
                </ol>
            </div>

        </div>
    </section>
    <!-- End Breadcrumbs -->

    <!-- ======= Request Policy Section ======= -->
    <section id="contact" class="contact">
        <div class="container">
            <div class="justify-content-center">
                <h5 style="display: flex; justify-content: center">Fill out the form below in order to create a
                    simulation offer</h5>
            </div>
            <div class="row mt-5 justify-content-center" data-aos="fade-up">
                <div class="col-lg-10">

                    <form action="#" th:action="@{/offer}" th:object="${simulationOfferDTO}" method="post"
                          role="form"
                          class="php-email-form">

                        <p>
                            <i th:if="${error != null}" th:text="${error}" class="error"
                               style="color:red; font-size:x-large"/>
                        </p>

                        <div th:if="*{premium} != 0.0">
                            <div class="form-row justify-content-center">
                                <div class="form-group justify-content-center">
                                    <br/>
                                    <label for="premium"
                                           style="font-size: large; color: #218838; align-content: center"><b>Total
                                        premium for your
                                        insurance: </b></label>
                                    <span id="premium" th:text="*{premium}"
                                          style="font-size: large; font-weight: bolder"></span>
                                    <span style="font-size: large; font-weight: bolder"> BGN</span>
                                    <br/>
                                    <br/>
                                    <a id="policyRequestButton" th:href="@{/policy}" class="btn btn-success">
                                        PROCEED TO POLICY REQUEST</a>
                                    <br/>
                                </div>
                            </div>
                        </div>

                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group">
                                <label for="cubic-capacity"><b>Cubic capacity</b></label>
                                <label th:errors="*{cubicCapacity}" style="color: red; font-weight: bold"></label>
                                <input th:field="*{cubicCapacity}" type="text" name="cubic-capacity"
                                       class="form-control"
                                       id="cubic-capacity"
                                       required/>
                            </div>
                        </div>
                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group">
                                <label for="first-registration-date"><b>First registration date</b></label>
                                <label th:if="${regDateError != null}" th:text="${regDateError}"
                                       style="color: red; font-weight: bold"></label>
                                <label th:errors="*{firstRegistrationDate}"
                                       style="color: red; font-weight: bold"></label>
                                <input th:field="*{firstRegistrationDate}" type="date" name="first-registration-date"
                                       class="form-control"
                                       id="first-registration-date"
                                       required/>
                            </div>
                        </div>
                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group">
                                <label for="driver-age"><b>Driver age</b></label>
                                <label th:errors="*{driverAge}" style="color: red; font-weight: bold"></label>
                                <input th:field="*{driverAge}" type="text" name="driver-age" class="form-control"
                                       id="driver-age"
                                       required/>
                            </div>
                        </div>
                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group">
                                <label for="prevYearAccidents"><b>Do you have any accidents in the previous
                                    year?</b></label>
                                <label th:errors="*{prevYearAccidents}" style="color: red; font-weight: bold"></label>
                                <input th:field="*{prevYearAccidents}" type="checkbox" name="prevYearAccidents"
                                       class="form-control checkmark" value="0"
                                       id="prevYearAccidents"
                                       placeholder="Enter your last name"/>
                            </div>
                        </div>

                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group">
                                <label for="makes-dropdown">Car Make</label>
                                <label th:errors="*{makeId}" style="color: red; font-weight: bold"></label>
                                <select th:field="*{makeId}" class="form-control" id="makes-dropdown" name="makes"
                                        required>
                                </select>
                            </div>
                        </div>
                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group">
                                <label for="models-dropdown">Car Model</label>
                                <label th:errors="*{modelId}" style="color: red; font-weight: bold"></label>
                                <select th:field="*{modelId}" class="form-control" id="models-dropdown" name="models"
                                        required>
                                </select>
                            </div>
                        </div>
                        <div class="mb-3">
                            <div class="loading">Loading</div>
                            <div class="error-message"></div>
                            <div class="sent-message">You have successfully calculated your offer!
                            </div>
                        </div>
                        <div class="text-center">
                            <button type="submit">Calculate Offer</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>
    <!-- End Request Policy Section -->

</main>
<!-- End #main -->

<th:block th:include="~{fragments/footer-js-page-imports}"></th:block>
<script type="text/javascript">
    var cc = document.getElementById("cubic-capacity"),
        driverAge = document.getElementById("driver-age")

    function validateCubicCapacity() {
        if (cc.value.match(/^[0-9]*$/) === null) {
            cc.setCustomValidity("Please enter a number between 0 and 9999.");
        } else {
            cc.setCustomValidity('');
        }
    }

    function validateDriverAge() {
        if (driverAge.value.match(/^[0-9]*$/) === null) {
            driverAge.setCustomValidity("Please enter a number (18 or higher).");
        } else {
            driverAge.setCustomValidity('');
        }
    }

    cc.onchange = validateCubicCapacity;
    driverAge.onchange = validateDriverAge;
</script>

</body>
</html>